.layout {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
  grid-template-areas:
    "editor inspector"
    "editor inspector";
}

.layout > * {
  padding: 5px;
}

.json-editor {
  grid-area: editor;
}

.inspector {
  grid-area: inspector;
  display: flex;
  flex-direction: column;
  row-gap: 16px;
}

.io-connection-form select {
  min-width: 80px;
}

.io-connection-form button {
  min-width: 100px;
}

.user-data-inspector-layout {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
  grid-template-areas:
    "method quiddity"
    "branch branch";
}

.method-select { grid-area: method; }
.quiddity-select { grid-area: quiddity; }
.branch-input { grid-area: branch; }

.switcher-ctrl-form select {
  min-width: 150px;
}

.switcher-ctrl-form button {
  min-width: 80px;
}
